## org.omg.TimeBase
Class UtcTHelper

    java.lang.Object
      |
      +--org.omg.TimeBase.UtcTHelper

public class UtcTHelper
extends java.lang.Object

Helper class for : UtcT

Author:
  OpenORB Compiler

Constructor Summary
`UtcTHelper()`

Method Summary
`static UtcT` `extract(Any a)` Extract UtcT from an any
`static java.lang.String` `id()` Return the UtcT IDL ID
`static void` `insert(Any a, UtcT t)` Insert UtcT into an any
`static UtcT` `read(InputStream istream)` Read UtcT from a marshalled stream
`static TypeCode` `type()` Return the UtcT TypeCode
`static void` `write(OutputStream ostream, UtcT value)` Write UtcT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UtcTHelper

    public UtcTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UtcT t)

  Insert UtcT into an any
  Parameters:
    `a` - an any
    `t` - UtcT value

### extract

    public static UtcT extract(Any a)

  Extract UtcT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted UtcT value

### type

    public static TypeCode type()

  Return the UtcT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the UtcT IDL ID
  Returns:
    an ID

### read

    public static UtcT read(InputStream istream)

  Read UtcT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed UtcT value

### write

    public static void write(OutputStream ostream,
                             UtcT value)

  Write UtcT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - UtcT value